<?php
      
namespace App\Http\Controllers;
use Stripe\Exception\CardException;  
use Stripe;
use Illuminate\View\View;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Validator;
use Illuminate\Http\RedirectResponse;
       
class StripePaymentController extends Controller
{
    /**
     * success response method.
     *
     * @return \Illuminate\Http\Response
     */
    public function index (Request $request)
    {
        return view('stripe');
    }
      


    public function store (Request $request)
    {


        $stripe = new \Stripe\StripeClient(env("STRIPE_SECRET"));

        $charge = null;
        try {
        
        $charge = $stripe->charges->create([
        'amount' => $request->price*100,
        'currency' => 'usd',
        'source' => $request->stripeToken,
        'description' => "on local level "
        ]);
    }catch (Stripe\Exception\CardException $e) {
        $result = $charge['error'] = $e->getMessage();
        return redirect()->back()->with('danger',$result);
    }
    return redirect()->back()->with('success',$charge['status']);
    }
    
}
